# Copyright (c) 2000-2007, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define gcj_support %{?_with_gcj_support:1}%{!?_with_gcj_support:%{?_without_gcj_support:0}%{!?_without_gcj_support:%{?_gcj_support:%{_gcj_support}}%{!?_gcj_support:0}}}

%define section free

Name:           checkstyle
Version:        4.3
Release:        1jpp
Epoch:          0
Summary:        Java source code checker
License:        LGPL
Group:          Development/Build Tools
Vendor: %{?_vendorinfo:%{_vendorinfo}}%{!?_vendorinfo:%{_vendor}}
Distribution: %{?_distribution:%{_distribution}}%{!?_distribution:%{_vendor}}
Source0:        http://download.sf.net/checkstyle/checkstyle-src-4.3.tar.gz
Source1:        %{name}-%{version}-script
Source2:        %{name}-%{version}.catalog

Patch0:         %{name}-%{version}-build.patch
Patch1:         %{name}-%{version}-javadoc-crosslink.patch

Patch2:         %{name}-%{version}-checks-AllTests.patch
Patch3:         %{name}-%{version}-checks-blocks-AllTests.patch
Patch4:         %{name}-%{version}-checks-coding-AllTests.patch
Patch5:         %{name}-%{version}-checks-design-AllTests.patch
Patch6:         %{name}-%{version}-checks-imports-AllTests.patch
Patch7:         %{name}-%{version}-checks-indentation-AllTests.patch
Patch8:         %{name}-%{version}-checks-javadoc-AllTests.patch
Patch9:         %{name}-%{version}-checks-metrics-AllTests.patch
Patch10:        %{name}-%{version}-checks-modifier-AllTests.patch
Patch11:        %{name}-%{version}-checks-naming-AllTests.patch
Patch12:        %{name}-%{version}-checks-sizes-AllTests.patch
Patch13:        %{name}-%{version}-checks-whitespace-AllTests.patch
Patch14:        %{name}-%{version}-grammars-AllTests.patch

URL:            http://checkstyle.sourceforge.net/
Requires:       ant >= 0:1.6
Requires:       antlr >= 0:2.7.1
Requires:       regexp >= 0:1.4
Requires:       jakarta-commons-logging
Requires:       jakarta-commons-cli
Requires:       jakarta-commons-beanutils
Requires:       jakarta-commons-collections
Requires:       jpackage-utils >= 0:1.7.2
Requires:       jaxp_parser_impl
BuildRequires:  ant >= 0:1.6
BuildRequires:  ant-nodeps >= 0:1.6
BuildRequires:  ant-junit >= 0:1.6
BuildRequires:  junit
BuildRequires:  antlr >= 0:2.7.1
BuildRequires:  java-devel < 0:1.5.0
BuildRequires:  jakarta-commons-beanutils
BuildRequires:  jakarta-commons-cli
BuildRequires:  xalan-j2
BuildRequires:  jakarta-commons-logging
BuildRequires:  jakarta-commons-collections
# xerces-j2 because tests fail with gnujaxp...
BuildRequires:  xerces-j2
BuildRequires:  antlr-javadoc
BuildRequires:  xml-commons-apis-javadoc
BuildRequires:  jakarta-commons-beanutils-javadoc
BuildRequires:  ant-javadoc
BuildRequires:  /usr/bin/perl
BuildRequires:  excalibur-avalon-logkit 
BuildRequires:  emma
BuildRequires:  jdom
BuildRequires:  velocity
BuildRequires:  jpackage-utils >= 0:1.7.2
Requires(post):    jpackage-utils >= 0:1.7.2
Requires(postun):  jpackage-utils >= 0:1.7.2
%if %{gcj_support}
BuildRequires:    gnu-crypto
BuildRequires:    java-gcj-compat-devel
Requires(post):   java-gcj-compat
Requires(postun): java-gcj-compat
%endif

%if ! %{gcj_support}
BuildArch:      noarch
%endif

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
A tool for checking Java source code for adherence to a set of rules.

%package        demo
Group:          Development/Build Tools
Summary:        Demos for %{name}
Requires:       %{name} = %{epoch}:%{version}

%description    demo
Demonstrations and samples for %{name}.

%package        javadoc
Group:          Development/Documentation
Summary:        Javadoc for %{name}
Requires(post):   /bin/rm,/bin/ln
Requires(postun): /bin/rm

%description    javadoc
Javadoc for %{name}.

%package        manual
Group:          Development/Build Tools
Summary:        Manual for %{name}

%description    manual
Manual for %{name}.

%package        optional
Group:          Development/Build Tools
Summary:        Optional functionality for %{name}
Requires:       %{name} = %{epoch}:%{version}
%if %{gcj_support}
Requires(post):   java-gcj-compat
Requires(postun): java-gcj-compat
%endif

%description    optional
Optional functionality for %{name}.

%prep
%setup -q -n %{name}-src-%{version}
%patch0 -b .sav
%patch1 -p0
%patch2 -b .sav
%patch3 -b .sav
%patch4 -b .sav
%patch5 -b .sav
%patch6 -b .sav
%patch7 -b .sav
%patch8 -b .sav
%patch9 -b .sav
%patch10 -b .sav
%patch11 -b .sav
%patch12 -b .sav
%patch13 -b .sav
%patch14 -b .sav
%__perl -p -i -e 's|\./{\@docRoot}/\.\./index\.html|%{_docdir}/%{name}-manual-%{version}/index.html|' build.xml
# remove all binary libs
find . -name "*.jar" -exec %__rm -f {} \;
# some testinputs require java-1.5
pushd src/testinputs
rm \
com/puppycrawl/tools/checkstyle/coding/InputDeclarationOrder.java \
com/puppycrawl/tools/checkstyle/coding/InputDefaultComesLast.java \
com/puppycrawl/tools/checkstyle/coding/InputExplicitInit.java \
com/puppycrawl/tools/checkstyle/coding/InputFinalize.java \
com/puppycrawl/tools/checkstyle/coding/InputFinalLocalVariable.java \
com/puppycrawl/tools/checkstyle/coding/InputInnerAssignment.java \
com/puppycrawl/tools/checkstyle/coding/InputModifiedControl.java \
com/puppycrawl/tools/checkstyle/coding/InputRequireThis.java \
com/puppycrawl/tools/checkstyle/coding/InputUnnecessaryParentheses.java \
com/puppycrawl/tools/checkstyle/Input15Extensions.java \
com/puppycrawl/tools/checkstyle/InputDesignForExtension.java \
com/puppycrawl/tools/checkstyle/InputFinalClass.java \
com/puppycrawl/tools/checkstyle/InputFinalParameters.java \
com/puppycrawl/tools/checkstyle/InputGenerics.java \
com/puppycrawl/tools/checkstyle/InputHiddenField.java \
com/puppycrawl/tools/checkstyle/InputHiddenFieldReorder.java \
com/puppycrawl/tools/checkstyle/InputInner.java \
com/puppycrawl/tools/checkstyle/InputJavadoc.java \
com/puppycrawl/tools/checkstyle/InputJavadocStyleCheck.java \
com/puppycrawl/tools/checkstyle/InputLeftCurlyMethod.java \
com/puppycrawl/tools/checkstyle/InputLeftCurlyOther.java \
com/puppycrawl/tools/checkstyle/InputMagicNumber.java \
com/puppycrawl/tools/checkstyle/InputModifier.java \
com/puppycrawl/tools/checkstyle/InputOpWrap.java \
com/puppycrawl/tools/checkstyle/InputScopeInnerInterfaces.java \
com/puppycrawl/tools/checkstyle/InputSemantic.java \
com/puppycrawl/tools/checkstyle/InputTags.java \
com/puppycrawl/tools/checkstyle/InputTypeParamsTags.java \
com/puppycrawl/tools/checkstyle/InputWhitespace.java \
com/puppycrawl/tools/checkstyle/MyAnnotation.java \
com/puppycrawl/tools/checkstyle/grammars/InputHexFloat.java \
com/puppycrawl/tools/checkstyle/grammars/InputVararg.java \
com/puppycrawl/tools/checkstyle/imports/InputImportControl.java \
com/puppycrawl/tools/checkstyle/imports/InputImportOrderCaseInsensitive.java \
com/puppycrawl/tools/checkstyle/imports/InputImportOrder.java \
com/puppycrawl/tools/checkstyle/indentation/InputValidBlockIndent.java \
com/puppycrawl/tools/checkstyle/indentation/InputValidClassDefIndent.java \
com/puppycrawl/tools/checkstyle/indentation/InputValidForIndent.java \
com/puppycrawl/tools/checkstyle/javadoc/TestGenerics.java \
com/puppycrawl/tools/checkstyle/metrics/ClassCouplingCheckTestInput.java \
com/puppycrawl/tools/checkstyle/package-info.java \
com/puppycrawl/tools/checkstyle/whitespace/InputMethodParamPad.java \
com/puppycrawl/tools/checkstyle/indentation/InputValidAssignIndent.java \
com/puppycrawl/tools/checkstyle/InputDoubleCheckedLocking.java \

popd
pushd src/tests
rm \
com/puppycrawl/tools/checkstyle/checks/FinalParametersCheckTest.java \
com/puppycrawl/tools/checkstyle/checks/GenericIllegalRegexpCheckTest.java \
com/puppycrawl/tools/checkstyle/checks/RegexpCheckTest.java \
com/puppycrawl/tools/checkstyle/checks/RequiredRegexpCheckTest.java \
com/puppycrawl/tools/checkstyle/checks/UpperEllCheckTest.java \
com/puppycrawl/tools/checkstyle/checks/blocks/EmptyBlockCheckTest.java \
com/puppycrawl/tools/checkstyle/checks/blocks/LeftCurlyCheckTest.java \
com/puppycrawl/tools/checkstyle/checks/blocks/RightCurlyCheckTest.java \
com/puppycrawl/tools/checkstyle/checks/coding/AvoidInlineConditionalsCheckTest.java \
com/puppycrawl/tools/checkstyle/checks/coding/DeclarationOrderCheckTest.java \
com/puppycrawl/tools/checkstyle/checks/coding/DefaultComesLastCheckTest.java \
com/puppycrawl/tools/checkstyle/checks/coding/DoubleCheckedLockingCheckTest.java \
com/puppycrawl/tools/checkstyle/checks/coding/EqualsHashCodeCheckTest.java \
com/puppycrawl/tools/checkstyle/checks/coding/ExplicitInitializationCheckTest.java \
com/puppycrawl/tools/checkstyle/checks/coding/FinalLocalVariableCheckTest.java \
com/puppycrawl/tools/checkstyle/checks/coding/HiddenFieldCheckTest.java \
com/puppycrawl/tools/checkstyle/checks/coding/IllegalInstantiationCheckTest.java \
com/puppycrawl/tools/checkstyle/checks/coding/InnerAssignmentCheckTest.java \
com/puppycrawl/tools/checkstyle/checks/coding/MagicNumberCheckTest.java \
com/puppycrawl/tools/checkstyle/checks/coding/ModifiedControlVariableCheckTest.java \
com/puppycrawl/tools/checkstyle/checks/coding/RedundantThrowsCheckTest.java \
com/puppycrawl/tools/checkstyle/checks/coding/RequireThisCheckTest.java \
com/puppycrawl/tools/checkstyle/checks/coding/SuperFinalizeCheckTest.java \
com/puppycrawl/tools/checkstyle/checks/coding/UnnecessaryParenthesesCheckTest.java \
com/puppycrawl/tools/checkstyle/checks/design/DesignForExtensionCheckTest.java \
com/puppycrawl/tools/checkstyle/checks/design/FinalClassCheckTest.java \
com/puppycrawl/tools/checkstyle/checks/design/HideUtilityClassConstructorCheckTest.java \
com/puppycrawl/tools/checkstyle/checks/design/VisibilityModifierCheckTest.java \
com/puppycrawl/tools/checkstyle/checks/imports/ImportControlCheckTest.java \
com/puppycrawl/tools/checkstyle/checks/imports/ImportOrderCheckTest.java \
com/puppycrawl/tools/checkstyle/checks/imports/UnusedImportsCheckTest.java \
com/puppycrawl/tools/checkstyle/checks/indentation/IndentationCheckTest.java \
com/puppycrawl/tools/checkstyle/checks/javadoc/JavadocMethodCheckTest.java \
com/puppycrawl/tools/checkstyle/checks/javadoc/JavadocStyleCheckTest.java \
com/puppycrawl/tools/checkstyle/checks/javadoc/JavadocTypeCheckTest.java \
com/puppycrawl/tools/checkstyle/checks/javadoc/JavadocVariableCheckTest.java \
com/puppycrawl/tools/checkstyle/checks/metrics/ClassDataAbstractionCouplingCheckTest.java \
com/puppycrawl/tools/checkstyle/checks/metrics/ClassFanOutComplexityCheckTest.java \
com/puppycrawl/tools/checkstyle/checks/modifier/ModifierOrderCheckTest.java \
com/puppycrawl/tools/checkstyle/checks/modifier/RedundantModifierTest.java \
com/puppycrawl/tools/checkstyle/checks/naming/ConstantNameCheckTest.java \
com/puppycrawl/tools/checkstyle/checks/naming/LocalFinalVariableNameCheckTest.java \
com/puppycrawl/tools/checkstyle/checks/naming/LocalVariableNameCheckTest.java \
com/puppycrawl/tools/checkstyle/checks/naming/MemberNameCheckTest.java \
com/puppycrawl/tools/checkstyle/checks/naming/ParameterNameCheckTest.java \
com/puppycrawl/tools/checkstyle/checks/sizes/MethodLengthCheckTest.java \
com/puppycrawl/tools/checkstyle/checks/whitespace/MethodParamPadCheckTest.java \
com/puppycrawl/tools/checkstyle/checks/whitespace/NoWhitespaceAfterCheckTest.java \
com/puppycrawl/tools/checkstyle/checks/whitespace/NoWhitespaceBeforeCheckTest.java \
com/puppycrawl/tools/checkstyle/checks/whitespace/OperatorWrapCheckTest.java \
com/puppycrawl/tools/checkstyle/checks/whitespace/ParenPadCheckTest.java \
com/puppycrawl/tools/checkstyle/checks/whitespace/TypecastParenPadCheckTest.java \
com/puppycrawl/tools/checkstyle/checks/whitespace/WhitespaceAfterCheckTest.java \
com/puppycrawl/tools/checkstyle/checks/whitespace/WhitespaceAroundTest.java \
com/puppycrawl/tools/checkstyle/grammars/HexFloatsTest.java \
com/puppycrawl/tools/checkstyle/grammars/VarargTest.java \

popd

%build
export JAVA_HOME=/usr/lib/jvm/java-1.4.2

export OPT_JAR_LIST="ant/ant-junit junit ant/ant-nodeps jdom velocity"
export CLASSPATH=$(build-classpath excalibur/avalon-logkit commons-collections)

pushd lib
ln -sf $(build-classpath antlr) .
ln -sf $(build-classpath commons-beanutils-core) .
ln -sf $(build-classpath commons-collections) .
ln -sf $(build-classpath commons-cli) .
ln -sf $(build-classpath commons-logging) .
ln -sf $(build-classpath emma) .
ln -sf $(build-classpath emma_ant) .
popd

%ant \
  -Dbuild.sysclasspath=first \
  -Dant.javadoc=%{_javadocdir}/ant \
  -Dantlr.javadoc=%{_javadocdir}/antlr \
  -Djaxp.javadoc=%{_javadocdir}/xml-commons-apis \
  -Dbeanutils.javadoc=%{_javadocdir}/jakarta-commons-beanutils \
  run.tests build.bindist

%install
%__rm -rf %{buildroot}

# jars
%__install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
%__install -pm 644 target/dist/%{name}-%{version}/%{name}-%{version}.jar \
                     $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
%__install -pm 644 target/dist/%{name}-%{version}/%{name}-optional-%{version}.jar \
                     $RPM_BUILD_ROOT%{_javadir}/%{name}-optional-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}.jar; do %__ln_s ${jar} `echo $jar| %__sed "s|-%{version}||g"`; done)

%add_to_maven_depmap checkstyle checkstyle %{version} JPP %{name}
%add_to_maven_depmap checkstyle checkstyle-optional %{version} JPP %{name}-optional

# poms
%__install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/maven2/poms
%__install -pm 644 pom.xml \
            $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}.pom
%__install -pm 644 pom-optional.xml \
            $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-optional.pom

# script
%__install -d -m 755 $RPM_BUILD_ROOT%{_bindir}
%__install -pm 755 %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/%{name}

# dtds
%__install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/xml/%{name}
%__install -pm 644 %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/xml/%{name}/catalog
%__cp -a src/checkstyle/com/puppycrawl/tools/checkstyle/*.dtd \
            $RPM_BUILD_ROOT%{_datadir}/xml/%{name}

# javadoc
%__install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
%__cp -ar target/dist/%{name}-%{version}/docs/api/* \
            $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
%__rm -rf target/dist/%{name}-%{version}/docs/api
%__ln_s %{_javadocdir}/%{name} target/dist/%{name}-%{version}/docs/api
%__ln_s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

# demo
%__install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}
%__cp -ar target/dist/%{name}-%{version}/contrib/* \
                     $RPM_BUILD_ROOT%{_datadir}/%{name}

# ant.d
%__install -d -m 755  $RPM_BUILD_ROOT%{_sysconfdir}/ant.d
%__cat > $RPM_BUILD_ROOT%{_sysconfdir}/ant.d/%{name} << EOF
checkstyle antlr regexp jakarta-commons-beanutils jakarta-commons-cli jakarta-commons-logging jakarta-commons-collections jaxp_parser_impl
EOF

%if %{gcj_support}
export CLASSPATH=$(build-classpath gnu-crypto)
%{_bindir}/aot-compile-rpm
%endif

%clean
%__rm -rf %{buildroot}

%post
%update_maven_depmap
%if %{gcj_support}
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif
# Note that we're using a fully versioned catalog, so this is always ok.
if [ -x %{_bindir}/install-catalog -a -d %{_sysconfdir}/sgml ]; then
  %{_bindir}/install-catalog --add \
    %{_sysconfdir}/sgml/%{name}-%{version}-%{release}.cat \
    %{_datadir}/xml/%{name}/catalog > /dev/null || :
fi

%postun
%update_maven_depmap
%if %{gcj_support}
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif
# Note that we're using a fully versioned catalog, so this is always ok.
if [ -x %{_bindir}/install-catalog -a -d %{_sysconfdir}/sgml ]; then
  %{_bindir}/install-catalog --remove \
    %{_sysconfdir}/sgml/%{name}-%{version}-%{release}.cat \
    %{_datadir}/xml/%{name}/catalog > /dev/null || :
fi

%post javadoc
%__rm -f %{_javadocdir}/%{name}
%__ln_s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ $1 -eq 0 ]; then
  %__rm -f %{_javadocdir}/%{name}
fi

%post optional
%if %{gcj_support}
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif
%__grep -q checkstyle-optional %{_sysconfdir}/ant.d/%{name} || \
%__perl -p -i -e 's|checkstyle|checkstyle checkstyle-optional|' %{_sysconfdir}/ant.d/%{name}

%postun optional
%if %{gcj_support}
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif
%__grep -q checkstyle-optional %{_sysconfdir}/ant.d/%{name} && \
%__perl -p -i -e 's|checkstyle-optional ||' %{_sysconfdir}/ant.d/%{name} || :

%files
%defattr(0644,root,root,0755)
%doc LICENSE LICENSE.apache README RIGHTS.antlr
%doc build.xml checkstyle_checks.xml java.header sun_checks.xml suppressions.xml

%{_javadir}/%{name}.jar
%{_javadir}/%{name}-%{version}.jar
%{_datadir}/xml/%{name}
%attr(0755,root,root) %{_bindir}/*
%config(noreplace) %{_sysconfdir}/ant.d/%{name}
%{_datadir}/maven2/poms/*
%{_mavendepmapfragdir}
%if %{gcj_support}
%dir %attr(-,root,root) %{_libdir}/gcj/%{name}
%attr(-,root,root) %{_libdir}/gcj/%{name}/%{name}-%{version}.jar.*
%endif


%files demo
%defattr(0644,root,root,0755)
%{_datadir}/%{name}

%files javadoc
%defattr(0644,root,root,0755)
%doc %{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%files manual
%defattr(0644,root,root,0755)
%doc target/dist/%{name}-%{version}/docs/*

%files optional
%defattr(0644,root,root,0755)
%{_javadir}/%{name}-optional.jar
%{_javadir}/%{name}-optional-%{version}.jar
%if %{gcj_support}
%dir %attr(-,root,root) %{_libdir}/gcj/%{name}
%attr(-,root,root) %{_libdir}/gcj/%{name}/%{name}-optional-%{version}.jar.*
%endif

%changelog
* Wed Jul 04 2007 Ralph Apel <r.apel@r-apel.de> 0:4.3-1jpp
- Upgrade to 4.3
- Make Vendor, Distribution based on macro
- Add gcj_support option

* Thu Mar 30 2006 Ralph Apel <r.apel@r-apel.de> 0:4.1-3jpp
- replace avalon-logkit by excalibur-avalon-logkit as BR

* Wed Feb 22 2006 Ralph Apel <r.apel@r-apel.de> 0:4.1-2jpp
- add exclude to javadoc task iot build with java-1.4.2-bea

* Wed Feb 15 2006 Ralph Apel <r.apel@r-apel.de> 0:4.1-1jpp
- update to 4.1 for JPP-1.7
- reduce dependencies

* Wed Feb 15 2006 Ralph Apel <r.apel@r-apel.de> 0:3.5-2jpp
- set locale iot avoid failure of GeneratedJava14LexerTest

%changelog
* Mon Feb 21 2005 David Walluck <david@jpackage.org> 0:3.5-1jpp
- 0.3.5
- fix ant task with new ant
- add more files to %%doc

* Fri Aug 20 2004 Ralph Apel <r.apel at r-apel.de> - 0:3.4-4jpp
- Build with ant-1.6.2
- Runtime Req ant >= 0:1.6.2

* Fri Aug 06 2004 Ralph Apel <r.apel at r-apel.de> - 0:3.4-3jpp
- Void change

* Tue Jun 01 2004 Randy Watler <rwatler at finali.com> - 0:3.4-2jpp
- Upgrade to Ant 1.6.X

* Mon Apr 12 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:3.4-1jpp
- Update to 3.4.
- Make -optional depend on the main package.
- Update DTD catalog, move DTDs to %%{_datadir}/xml/%%{name}.
- New style versionless javadoc dir symlinking.
- Add -optional jar to classpath in startup script if available.

* Tue Jan 20 2004 David Walluck <david@anti-microsoft.org> 0:3.3-1jpp
- 3.3
- rediff patches
- add `optional' subpackage

* Fri Jul 11 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:3.1-2jpp
- Install DTDs into %%{_datadir}/sgml/%%{name}.
- Include catalog for DTDs, and install it if %%{_bindir}/install-catalog
  is available.
- Javadoc crosslinking.

* Wed Jun  4 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:3.1-1jpp
- Update to 3.1.
- Non-versioned javadoc symlinking.

* Fri Apr  4 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:3.0-2jpp
- Rebuild for JPackage 1.5.

* Sat Mar  1 2003 Ville Skyttä <ville.skytta at iki.fi> - 3.0-1jpp
- Update to 3.0.
- Run unit tests during build.
- Separate manual package.

* Sat Sep 14 2002 Ville Skyttä <ville.skytta at iki.fi> 2.4-1jpp
- 2.4.
- No RPM macros in source URL.
- Use (patched) ant build.bindist task to fix docs.

* Thu Jul 11 2002 Ville Skyttä <ville.skytta at iki.fi> 2.3-2jpp
- Unbreak build.
- Add shell script.

* Tue Jul  9 2002 Ville Skyttä <ville.skytta at iki.fi> 2.3-1jpp
- Updated to 2.3.
- Use sed instead of bash 2 extension when symlinking jars during build.
- BuildRequires ant-optional.

* Fri May 10 2002 Ville Skyttä <ville.skytta at iki.fi> 2.2-1jpp
- Updated to 2.2.
- Added versioned requirements.
- Fixed Distribution and Group tags.
- Added demo package.

* Sun Mar 03 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 2.1-1jpp
- first jpp release
